Bug 1251033 - colord-gtk make check fail on cd-self-test
colord-gtk make check fail on cd-self-test
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: colord-gtk (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Richard Hughes
Desktop QE
:
: 1364443 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-06 08:49 EDT by Tomas Pelka
Modified: 2018-03-15 04:50 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Pelka 2015-08-06 08:49:43 EDT
Description of problem:
make  check-TESTS
make[2]: Entering directory `/home/test/rpmbuild/BUILD/colord-gtk-0.1.25/libcolord-gtk'
/colord/window: FAIL: cd-self-test
===================================
1 of 1 test failed
Please report to http://hughsie.com
===================================

Version-Release number of selected component (if applicable):
colord-gtk-0.1.25-4.el7

How reproducible:
100%

Steps to Reproduce:
1. make check
2.
3.

Actual results:


Expected results:


Additional info:
Full log at http://beaker-archive.app.eng.bos.redhat.com/beaker-logs/2015/08/10409/1040908/2130121/33086547/162874180/test_log-colord-gtk_Test0_upstream-testset.log
Comment 1 Tomas Pelka 2017-08-03 03:39:57 EDT
*** Bug 1364443 has been marked as a duplicate of this bug. ***
Comment 2 Richard Hughes 2017-10-09 09:50:08 EDT
You need a running colord and display manger for these tests; they're really designed for the upstream maintainer to run rather than in package scripts.
Comment 3 Tomas Pelka 2017-10-09 10:43:32 EDT
Well it is executed within gnome-session so I assume colord is running. Or am I wrong?

Note You need to log in before you can comment on or make changes to this bug.